## libpcap 1.10.0

=== debian/changelog ===
libpcap (1.10.0-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 21 Jan 2021 10:35:08 -0500

libpcap (1.10.0-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 18 Jan 2021 10:26:52 +0100

libpcap (1.10.0-2) unstable; urgency=medium

  * Update Hurd support to use the new internal API, fixing FTBFS.
  * Add missing dependency on libdbus-1-dev to libpcap0.8-dev, patch by
    Luca Boccassi (closes: #979229).
  * Bump Standards-Version to 4.5.1.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 04 Jan 2021 20:39:53 +0100

libpcap (1.10.0-1) unstable; urgency=medium

  * New upstream release (closes: #970437).
  * Export new symbol `pcap_init'.
  * Drop unused lintian override.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 03 Jan 2021 19:57:52 +0100

libpcap (1.9.1-4~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 02 May 2020 16:59:23 +0200

libpcap (1.9.1-4) unstable; urgency=medium

  * debian/control: Add build-dep on libdbus-1-dev (closes: #958639).
  * Bump Standards-Version to 4.5.0.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 25 Apr 2020 18:45:40 +0200

libpcap (1.9.1-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 15 Apr 2020 21:28:16 +0200

libpcap (1.9.1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 23 Mar 2020 19:55:35 +0100
