=== debian/changelog ===
libpcap (1.10.1-4ubuntu1.22.04.1) jammy; urgency=medium

  * Tcpdump utility captures incorrect packets on VLAN interface when using
    SLL2 (LP: #2076398)
    - d/p/lp2076398-linux-set-handlep-vlan_offset-if-the-linktype-is-cha.patch

 -- Chengen Du <chengen.du@canonical.com>  Fri, 09 Aug 2024 08:13:59 +0000

libpcap (1.10.1-4build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:14:25 +0100

libpcap (1.10.1-4) unstable; urgency=medium

  * Fix more issues with target dependencies in debian/patches/shared-lib.diff,
    exposed by FTBFS on the buildds for powerpc/ppc64.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 05 Sep 2021 10:31:40 +0200

libpcap (1.10.1-3) unstable; urgency=medium

  * Upgrade to debhelper compat level 13:
    + Remove debian/compat.
    + Add build-dep on debhelper-compat, remove build-deps on
      dh-autoreconf, autotools-dev.
    + Remove `--with autoreconf' from dh invocation.
    + Remove `--fail-missing' argument to `dh_install'.
  * Fix target dependencies in debian/patches/shared-lib.diff.
  * Drop libpcap0.8-dbg; change dh_strip stanza accordingly.
  * Lintian cleanups:
    + Use secure URLs wherever possible.
    + Remove extraneous signatures from upstream signing key.
    + Set `Rules-Requires-Root' (to "no").
    + Override `debug-symbol-migration-possibly-complete' (will be removed
      after the bookworm release).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 28 Aug 2021 11:03:53 +0200

libpcap (1.10.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 16 Aug 2021 10:17:31 +0200

libpcap (1.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop debian/patches/usb-bus-path.diff; upstream has dropped support
    for old-style text-mode USB captures.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 24 Jun 2021 20:11:49 +0200
