=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: libpcap
 Section: devel
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
-Build-Depends: autotools-dev,
-               bison,
-               debhelper (>= 8.9.7),
-               dh-autoreconf,
+Build-Depends: bison,
+               debhelper-compat (= 13),
                flex,
                libbluetooth-dev [linux-any],
                libdbus-1-dev,
                linux-libc-dev (>= 2.6.27) [i386]
+Rules-Requires-Root: no
 Standards-Version: 4.5.1
-Homepage: http://www.tcpdump.org/
+Homepage: https://www.tcpdump.org/
 Vcs-Browser: https://salsa.debian.org/rfrancoise/libpcap
 Vcs-Git: https://salsa.debian.org/rfrancoise/libpcap.git
 
@@ -66,18 +65,3 @@
  functionality, the libpcap authors created this system-independent API
  to ease in porting and to alleviate the need for several
  system-dependent packet capture modules in each application.
-
-Package: libpcap0.8-dbg
-Section: debug
-Priority: optional
-Architecture: any
-Depends: libpcap0.8 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Multi-Arch: same
-Description: debugging symbols for libpcap0.8
- libpcap (Packet CAPture) provides a portable framework for low-level
- network monitoring.  Applications include network statistics collection,
- security monitoring, network debugging, etc.
- .
- This package contains the debugging symbols for the libpcap library.
