=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" https://www.tcpdump.org release/libpcap-([\d\.]*).tar.gz
