=== debian/changelog ===
libpcap (1.10.3-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 14 Jan 2023 18:43:54 +0100

libpcap (1.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Cherry-pick commit 663a4e0e8 from upstream 1.10 branch to avoid
    pcap-util.h ending up in /usr/include.
  * Bump Standards-Version to 4.6.2.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 03 Jan 2023 21:01:06 +0100
