=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: libpcap
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
+Maintainer: Romain Francoise <rfrancoise@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 13),
                flex,
                libbluetooth-dev [linux-any],
                libdbus-1-dev,
-               linux-libc-dev (>= 2.6.27) [i386]
+               linux-libc-dev [i386]
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://www.tcpdump.org/
 Vcs-Browser: https://salsa.debian.org/rfrancoise/libpcap
 Vcs-Git: https://salsa.debian.org/rfrancoise/libpcap.git
@@ -31,8 +30,7 @@
          libdbus-1-dev,
          libpcap0.8 (= ${binary:Version}),
          ${misc:Depends}
-Conflicts: libpcap-dev (<< 0.9),
-           libpcap0.7-dev
+Conflicts: libpcap0.7-dev
 Multi-Arch: same
 Description: development library and header files for libpcap0.8
  Headers, static libraries, and documentation for the libpcap library.
@@ -53,7 +51,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Replaces: libpcap0.8-dev (<< 1.0.0-2)
 Multi-Arch: same
 Description: system interface for user-level packet capture
  libpcap (Packet CAPture) provides a portable framework for low-level
