=== debian/changelog ===
libpcap (1.10.4-4) unstable; urgency=medium

  * debian/patches/shared-lib.diff: Fix clean target (closes: #1045792).
  * Add DEP-3 headers to all patches.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 14 Aug 2023 17:49:33 +0200

libpcap (1.10.4-3) unstable; urgency=medium

  * Move pcap-savefile(5) and pcap-tstamp(7) man pages to libpcap0.8 as
    they are generally useful for end users and are referenced in
    tcpdump(8) (closes: #1035661).
  * Enable all hardening options.
  * Clean up remaining bits of kFreeBSD support, which are no longer
    needed.
  * Add missing Build-Depends-Package header to libpcap0.8.symbols.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 22 Jul 2023 13:02:38 +0200

libpcap (1.10.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 17 Jun 2023 17:41:43 +0200

libpcap (1.10.4-1) experimental; urgency=medium

  * New upstream release (with no actual code changes).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 10 Apr 2023 17:29:37 +0200
