=== debian/control ===
--- 
+++ 
@@ -51,6 +51,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Replaces: libpcap0.8-dev (<< 1.10.4-3)
 Multi-Arch: same
 Description: system interface for user-level packet capture
  libpcap (Packet CAPture) provides a portable framework for low-level
